# Generated by Django 2.0.5 on 2019-10-24 07:05

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0075_auto_20190918_1152'),
        ('core', '0052_auto_20190923_1600'),
    ]

    operations = [
        migrations.CreateModel(
            name='SubscriptionProductMapping',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=150)),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='subscription_products', to='accounts.Provider')),
            ],
        ),
        migrations.CreateModel(
            name='SubscriptionProductType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=150)),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='subscription_product_types', to='accounts.Provider')),
            ],
        ),
        migrations.AddField(
            model_name='subscriptionproductmapping',
            name='type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='products', to='core.SubscriptionProductType'),
        ),
        migrations.AlterUniqueTogether(
            name='subscriptionproducttype',
            unique_together={('provider', 'name')},
        ),
        migrations.AlterUniqueTogether(
            name='subscriptionproductmapping',
            unique_together={('provider', 'name')},
        ),
    ]
